Bug 991693 - Review Request: perl-Archive-Any-Lite - Simple CPAN package extractor
Review Request: perl-Archive-Any-Lite - Simple CPAN package extractor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 14:10 EDT by Paul Howarth
Modified: 2013-09-25 13:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Archive-Any-Lite-0.07-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 13:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2013-08-03 14:10:42 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Archive-Any-Lite/branches/fedora/perl-Archive-Any-Lite.spec

SRPM URL: http://www.city-fan.org/~paul/extras/perl-Archive-Any-Lite/perl-Archive-Any-Lite-0.07-2.fc20.src.rpm

Description:
This is a fork of Archive::Any by Michael Schwern and Clint Moore. The main
difference is that this works properly even when you fork(), and may require
less memory to extract a tarball. On the other hand, this isn't pluggable
(it only supports file formats used in the CPAN toolchains), and it doesn't
check MIME types.

Fedora Account System Username: pghmcfc

This package is required by the current development version of Module::CPANTS::Analyse.
Comment 1 Christopher Meng 2013-08-04 21:43:49 EDT
Do you want to ship them for EL5(I don't recommend)?
Comment 2 Paul Howarth 2013-08-05 02:52:37 EDT
Yes, if a package is supportable in EPEL-5 (i.e. doesn't have dependencies that aren't there), I always try to support it there.
Comment 3 Ken Dreyer 2013-09-10 00:09:16 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the beginning of %install.
     Note: rm -rf %{buildroot} present but not required. Paul confirmed that he is building for EL5.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Paul is building for EL5.
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required. Paul is building for EL5.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Archive-Any-Lite-0.07-2.fc19.noarch.rpm
          perl-Archive-Any-Lite-0.07-2.fc19.src.rpm
perl-Archive-Any-Lite.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
perl-Archive-Any-Lite.noarch: W: spelling-error %description -l en_US toolchains -> tool chains, tool-chains, chainsaws
perl-Archive-Any-Lite.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
perl-Archive-Any-Lite.src: W: spelling-error %description -l en_US toolchains -> tool chains, tool-chains, chainsaws
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Archive-Any-Lite
perl-Archive-Any-Lite.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
perl-Archive-Any-Lite.noarch: W: spelling-error %description -l en_US toolchains -> tool chains, tool-chains, chainsaws
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


Requires
--------
perl-Archive-Any-Lite (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.16.3)
    perl(Archive::Tar)
    perl(Archive::Zip)
    perl(File::Spec)
    perl(IO::Uncompress::Bunzip2)
    perl(IO::Zlib)
    perl(strict)
    perl(warnings)

Provides
--------
perl-Archive-Any-Lite:
    perl(Archive::Any::Lite)
    perl(Archive::Any::Lite::Tar)
    perl(Archive::Any::Lite::Zip)
    perl-Archive-Any-Lite


Source checksums
----------------
http://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/Archive-Any-Lite-0.07.tar.gz :
  CHECKSUM(SHA256) this package     : d70407c97785cc63c517cf46a9f25325fb140efbf573a3b688fec8cf5c23b943
  CHECKSUM(SHA256) upstream package : d70407c97785cc63c517cf46a9f25325fb140efbf573a3b688fec8cf5c23b943


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 991693
Buildroot used: fedora-19-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, SugarActivity, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


The licensing guidelines state that "If the source package does not include the text of the license(s), the packager should contact upstream and encourage them to correct this mistake." ( https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text ), so I recommend opening a ticket with upstream to ask them to include a LICENSE file.

I have to applaud your use of the "≥" unicode symbol in the spec file comments :)

Package APPROVED
Comment 4 Paul Howarth 2013-09-10 03:28:09 EDT
New Package SCM Request
=======================
Package Name: perl-Archive-Any-Lite
Short Description: Simple CPAN package extractor
Owners: pghmcfc
Branches: f18 f19 f20 el5 el6
InitialCC: perl-sig

Thanks for the review Ken.

License file requested upstream:
https://rt.cpan.org/Public/Bug/Display.html?id=88571
Comment 5 Gwyn Ciesla 2013-09-10 07:53:28 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-09-10 09:01:09 EDT
perl-Archive-Any-Lite-0.07-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Archive-Any-Lite-0.07-2.el6
Comment 7 Fedora Update System 2013-09-10 09:01:22 EDT
perl-Archive-Any-Lite-0.07-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Archive-Any-Lite-0.07-2.fc19
Comment 8 Fedora Update System 2013-09-10 09:01:34 EDT
perl-Archive-Any-Lite-0.07-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Archive-Any-Lite-0.07-2.el5
Comment 9 Fedora Update System 2013-09-10 09:01:43 EDT
perl-Archive-Any-Lite-0.07-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Archive-Any-Lite-0.07-2.fc18
Comment 10 Fedora Update System 2013-09-10 09:01:59 EDT
perl-Archive-Any-Lite-0.07-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Archive-Any-Lite-0.07-2.fc20
Comment 11 Fedora Update System 2013-09-18 22:05:30 EDT
perl-Archive-Any-Lite-0.07-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-09-18 22:07:33 EDT
perl-Archive-Any-Lite-0.07-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-09-22 20:09:26 EDT
perl-Archive-Any-Lite-0.07-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2013-09-25 13:17:03 EDT
perl-Archive-Any-Lite-0.07-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2013-09-25 13:18:00 EDT
perl-Archive-Any-Lite-0.07-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.